MEINPROC5(1)

NOME
meinproc5 - Traduttore per XML di KDE

SINOSSI

meinproc5 [-h, --help] [-v, --version] [--cache file] [--check] [--srcdir cartella] [--param chiave=valore] [[[-o] | [--output]]file] [--stdout] [--stylesheet xsl] file_docbook

DESCRIZIONE

meinproc5 converte i file DocBook in HTML.

OPZIONI GENERICHE

-h--help
    Mostra la guida sulle opzioni.

-v--version
    Mostra le informazioni sulla versione.

OPZIONI DELLAPPLICAZIONE

--cache file
    Crea un file di cache per il documento

--check
    Controlla la validità del documento

        L'output può essere un po' confuso, perché un errorino può causare una cascata di errori.
        Il trucco è cercare il primo errore, correggerlo, salvare il file, e far ripartire meinproc5.

-o, --output file
    Metti l'intero documento su file.

--stdout
    Metti l'intero documento sul flusso stdout.

--stylesheet xsl
    Foglio di stile da usare

--srcdir cartella
    Imposta la cartella radice in cui cercare kdoctools

--param chiave=valore
    Imposta i parametri da passare al foglio di stile.

USO

Il modo più comune di eseguire meinproc5 è semplicemente come

    meinproc5 file_docbook

dove file_docbook è di solito index.docbook. Questo comando crea pagine HTML dal file DocBook. Nota che queste pagine sono visibili solo in browser basati su KDE (come Konqueror).

Se devi vedere il risultato HTML in un altro browser (per esempio, se lo metti in rete), usa

    meinproc5 --stylesheet nome_foglio_di_stile file_docbook

where nome_foglio_di_stile è il percorso completo a uno dei fogli di stile XSL in <kdoctools_installation_prefix>/share/kf5/kdoctools/customization. Per produrre documenti adatti al Web, puoi usare kde-web.xsl o kde-chunk-online.xsl. Vedi il file README in quella cartella per maggiori dettagli.

VEDI ANCHE

kf5options(7), qt5options(7)

BUG

Usa il sito di gestione dei bug di KDE[1] per segnalarli.

NOTE

1.  il sito di gestione dei bug di KDE
    https://bugs.kde.org